'#Reference {BF001C4E-2571-42BF-BD68-0AA6215287EF}#1.0#0#C:\Winfilm\Stellar1.exe#FtgStellar1
Option Explicit
Option Base 1
Dim SN As FtgStellar1.clsDAQ

Sub Main
    On Error Resume Next
    Dim i%, kErr As Boolean, xdat!(), ydat!()
    If Not IsRunning("Stellar1.exe") Then
        MsgBox "Start and test Stellar1.exe and try again" & vbLf & "after Dark and Reference scans.", vbExclamation, "Sample Scan"
        End
    End If
    Set SN = New FtgStellar1.clsDAQ
    SN.Scan 2, kErr
    If PgmExe = "Design1" Then
        SN.Process 1, 380, 770, 1, xdat(), ydat(), kErr
    Else
        SN.Process 0, 380, 770, 1, xdat(), ydat(), kErr
    End If
    If kErr Then
        MsgBox "DAQ error: sample scan not saved", vbExclamation, "StellarNet Server"
    Else
        Spectrum_X = xdat
        Spectrum_Y = ydat
        If PgmExe = "Design1" Then
            AxesDraw
            Replot
        End If
    End If
End Sub

Private Function IsRunning(p$) As Boolean
    Dim objList As Object
    Set objList = GetObject("winmgmts:").ExecQuery("select * from win32_process where name='" & p$ & "'")
    IsRunning = (objList.Count > 0)
End Function
